import numpy as np
import os

randomizer = np.random.default_rng(42)
randvec = randomizer.integers(low=0, high=pow(2, 32), size=pow(10, 7))

print("Generated random vector with {} entries".format(randvec.size))

with open("dataset.dat", "w") as file:
    for value in randvec:
        file.write(str(value) + '\n')

fsize = os.path.getsize("dataset.dat")
print("File written down with Size {} MB".format(fsize/1000/1000))